<!DOCTYPE html>
<html>
  <head>
    <title><%= @title.presence || yield(:title).presence || 'App' %></title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <script src="https://cdn.tailwindcss.com?plugins=forms,typography"></script>
    <style type="text/tailwindcss">
      <%= render partial: 'inline_assets/tailwind', formats: [:css] %>
    </style>
  </head>

  <body>
    <%= content_for?(:content) ? yield(:content) : yield %>

    <div aria-live="assertive" class="pointer-events-none fixed inset-0 flex items-end px-4 py-6 sm:items-start sm:p-6">
      <div class="flex w-full flex-col items-center space-y-4 sm:items-end">
        <% flash.each do |type, msg| %>
          <div class="flash-message pointer-events-auto w-full max-w-sm overflow-hidden rounded-lg bg-white shadow-lg ring-1 ring-black ring-opacity-5">
            <div class="p-4">
              <div class="flex items-start">
                <div class="flex-shrink-0">
                  <% if type == 'notice' %>
                    <svg class="h-6 w-6 text-green-400" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                      <path stroke-linecap="round" stroke-linejoin="round" d="M9 12.75L11.25 15 15 9.75M21 12a9 9 0 11-18 0 9 9 0 0118 0z" />
                    </svg>
                  <% else %>
                    <svg class="h-6 w-6 text-red-400" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                      <path stroke-linecap="round" stroke-linejoin="round" d="M12 9v3.75m9-.75a9 9 0 11-18 0 9 9 0 0118 0zm-9 3.75h.008v.008H12v-.008z" />
                    </svg>
                  <% end %>
                </div>
                <div class="ml-3 w-0 flex-1 pt-0.5">
                  <% if type == 'notice' %>
                    <p class="text-sm font-medium text-gray-900"><%= msg %></p>
                  <% else %>
                    <p class="text-sm font-medium text-gray-900">Error</p>
                    <p class="mt-1 text-sm text-gray-500"><%= msg %></p>
                  <% end %>
                </div>
                <div class="ml-4 flex flex-shrink-0">
                  <button type="button" class="inline-flex rounded-md bg-white text-gray-400 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                    <span class="sr-only">Close</span>
                    <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                      <path d="M6.28 5.22a.75.75 0 00-1.06 1.06L8.94 10l-3.72 3.72a.75.75 0 101.06 1.06L10 11.06l3.72 3.72a.75.75 0 101.06-1.06L11.06 10l3.72-3.72a.75.75 0 00-1.06-1.06L10 8.94 6.28 5.22z" />
                    </svg>
                  </button>
                </div>
              </div>
            </div>
          </div>
        <% end %>
      </div>
    </div>

    <script type="text/javascript">
      <%= render partial: 'inline_assets/tailwind', formats: [:js] %>
    </script>

  </body>
</html>
